Opened 4 years ago

Closed 4 years ago

#1156 closed Bug (fixed)

Improving the requirement page - missing spl and reflection

Reported by: firehead Owned by: matt
Priority: major Milestone: Piwik 0.5.5
Component: Core Keywords: pdl reflection
Cc: Sensitive: no

Description

Hi, the requirement page lack of some details about which components of php you really need to install piwik.

For example, are totally missing from the list two fundamental component as "spl" and "reflection", while is specified pdo, when during the install process you could decide to use mysqli instead of it.

I'm sure it cost you few minutes of your time to add these two elements to the required component list, but this will save everybody's time in supporting users with these easy problems (see recent thread like this: http://forum.piwik.org/index.php?showtopic=205)

Cheers

Change History (5)

comment:1 Changed 4 years ago by vipsoft (robocoder)

  • Milestone set to 1 - Piwik 0.5.5
  • Resolution set to duplicate
  • Status changed from new to closed

Dupe #176.

comment:2 Changed 4 years ago by matt (mattab)

  • Resolution duplicate deleted
  • Status changed from closed to reopened

I think I marked it as won't fix in #176 but this was a mistake, as some users are using pre 5.3 release which might have this disabled.

comment:3 Changed 4 years ago by vipsoft (robocoder)

  • Owner set to matt
  • Status changed from reopened to new

comment:4 Changed 4 years ago by matt (mattab)

  • Component changed from Documentation to Core

comment:5 Changed 4 years ago by matt (mattab)

  • Resolution set to fixed
  • Status changed from new to closed

(In [1924]) Fixes #1156 Adding Reflection to list of required extensions

Note: See TracTickets for help on using tickets.